# config/packages/knp_snappy.yaml
knp_snappy:
    pdf:
        enabled: true
        binary: '%env(WKHTMLTOPDF_PATH)%'
        options:
            # Seitenformat und Ränder
            page-size: 'A4'
            orientation: 'Portrait'
            margin-top: 8mm
            margin-bottom: 15mm
            margin-left: 15mm
            margin-right: 15mm
            
            # Qualität und Rendering
            print-media-type: true
            disable-smart-shrinking: true
            dpi: 300
            image-quality: 100
            
            # Header und Footer
            header-spacing: 5
            footer-spacing: 5
            
            # Encoding
            encoding: 'UTF-8'
            
            # JavaScript (falls benötigt)
            enable-javascript: true
            javascript-delay: 1000
    
    # Optional: Image Generator (falls du später mal Bilder brauchst)
    image:
        enabled: false